Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 596233 - unable to get battery statistics from battery icon
Summary: unable to get battery statistics from battery icon
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-power-manager
Version: 13
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-26 12:36 UTC by phil
Modified: 2011-06-27 16:42 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-06-27 16:42:10 UTC


Attachments (Terms of Use)
show icon and where to click (deleted)
2010-05-26 12:36 UTC, phil
no flags Details
icon with wrong status (deleted)
2010-06-30 19:30 UTC, Marco
no flags Details

Description phil 2010-05-26 12:36:01 UTC
Created attachment 416796 [details]
show icon and where to click

Description of problem:
battery icon does not give battery stats

Version-Release number of selected component (if applicable):
gnome-power-manager-2.30.1-1.fc13.x86_64

How reproducible:
every time


Steps to Reproduce:
1. click on battery icon in status bar
2. click on laptop battery
3.
  
Actual results:
nothing!


Expected results:
new screen appears which shows battery details

Comment 1 phil 2010-05-26 13:36:58 UTC
please note that this machine was updated from f12, where the battery details were present.

Comment 2 phil 2010-05-26 13:40:10 UTC
have installed acpitool (not present before) and also the output from lshal

$ acpitool -B
  Battery #1     : present
    Remaining capacity : 4612 mAh, 97.57%, 00:16:37
    Design capacity    : 5200 mAh
    Last full capacity : 4727 mAh, 90.90% of design capacity
    Capacity loss      : 9.096%
    Present rate       : 415 mA
    Charging state     : charging
    Battery type       : rechargeable 
    Model number       : DELL RN8878
    Serial number      : 7265

$ lshal|grep battery
udi = '/org/freedesktop/Hal/devices/computer_power_supply_battery_BAT0'
  battery.charge_level.current = 51282  (0xc852)  (int)
  battery.charge_level.design = 57720  (0xe178)  (int)
  battery.charge_level.last_full = 52469  (0xccf5)  (int)
  battery.charge_level.percentage = 97  (0x61)  (int)
  battery.charge_level.rate = 4395  (0x112b)  (int)
  battery.is_rechargeable = true  (bool)
  battery.model = 'DELL RN8878'  (string)
  battery.present = true  (bool)
  battery.rechargeable.is_charging = true  (bool)
  battery.rechargeable.is_discharging = false  (bool)
  battery.remaining_time = 972  (0x3cc)  (int)
  battery.reporting.current = 4620  (0x120c)  (int)
  battery.reporting.design = 5200  (0x1450)  (int)
  battery.reporting.last_full = 4727  (0x1277)  (int)
  battery.reporting.rate = 396  (0x18c)  (int)
  battery.reporting.technology = 'Li-ion'  (string)
  battery.reporting.unit = 'mAh'  (string)
  battery.serial = '7265'  (string)
  battery.technology = 'lithium-ion'  (string)
  battery.type = 'primary'  (string)
  battery.vendor = ''  (string)
  battery.voltage.current = 12561  (0x3111)  (int)
  battery.voltage.design = 11100  (0x2b5c)  (int)
  battery.voltage.unit = 'mV'  (string)
  info.capabilities = {'battery'} (string list)
  info.category = 'battery'  (string)
  info.udi = '/org/freedesktop/Hal/devices/computer_power_supply_battery_BAT0'  (string)
  input.keymap.data = {'e001:playpause', 'e002:stopcd', 'e003:previoussong', 'e004:nextsong', 'e005:brightnessdown', 'e006:brightnessup', 'e007:battery', 'e008:wlan', 'e009:ejectclosecd', 'e00a:suspend', 'e00b:switchvideomode', 'e00f:switchvideomode', 'e010:previoussong', 'e011:prog1', 'e012:media', 'e013:f23', 'e015:camera', 'e00c:f23', 'e019:nextsong', 'e01b:switchvideomode', 'e022:playpause', 'e024:stopcd', 'e06d:media'} (string list)

Comment 3 Robert Marcano 2010-06-01 18:32:11 UTC
Same behavior here, Thinkpad T500, clean Fedora 13 install, worked on Fedora 12

Comment 4 Richard Hughes 2010-06-02 10:06:24 UTC
Can you try this build please: http://koji.fedoraproject.org/koji/taskinfo?taskID=2224559

Thanks.

Comment 5 Mihai Harpau 2010-06-02 10:58:04 UTC
(In reply to comment #4)
> Can you try this build please:
> http://koji.fedoraproject.org/koji/taskinfo?taskID=2224559
> 
> Thanks.    

That package works very good. Many thanks.

Comment 6 phil 2010-06-02 17:00:42 UTC
installed the x86_64 package. works well - many thanks

Comment 7 Marco 2010-06-30 19:20:49 UTC
Installed the x86_64 package. Same problem on my fujitsu esprimo mobile d9500.
Battery icon always full when not in charge.
System will not shutdown when power is low but it close when battery is down.

Smolt profile here:
http://www.smolts.org/client/show/pub_53c70035-962a-4bb1-83ca-58e45be28019    

$ acpitool -B
  Battery #1     : present
    Remaining capacity : 973 mAh, 22.99%, 01:33:52
    Design capacity    : 5200 mAh
    Last full capacity : 4232 mAh, 81.38% of design capacity
    Capacity loss      : 18.62%
    Present rate       : 2083 mA
    Charging state     : charged
    Battery type       : rechargeable 
    Model number       : Modelxxx
    Serial number      : SN
  Battery #2     : slot empty

Comment 8 Marco 2010-06-30 19:30:04 UTC
Created attachment 428075 [details]
icon with wrong status

Comment 9 Richard Hughes 2010-07-13 11:13:23 UTC
Fixed in 2.30.1-2

Comment 10 Marco 2010-07-13 13:10:06 UTC
Not for me! Let me know if you need other info.

Comment 11 phil 2010-07-13 13:28:30 UTC
@marco - not sure, but i think that you may have a different problem - but i will leave it to richard to comment.

Comment 12 Gustavo Maciel Dias Vieira 2010-08-18 15:37:23 UTC
Bug #596617 is probably a duplicate of this bug.

Comment 13 Michael S. 2010-10-04 23:52:53 UTC
Could the 2.30.1-2 be pushed to f13 ?

Comment 14 Mihai Harpau 2010-10-05 07:44:16 UTC
From bug #596617, comment 5:
"It is necessary to install the gnome-power-manager-extra package to get
information about the laptop battery."

Comment 15 Michael S. 2010-10-05 10:30:39 UTC
Well, the packager prepared a update ( 78999f6d317a175562fcb46de48bef6e78bb5713 ), but afaik, it was not pushed to stable ( ie f13 ). So the flag "fixed in current release" is wrong, no ?

Comment 16 Bug Zapper 2011-06-02 13:26:11 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 17 Bug Zapper 2011-06-27 16:42:10 UTC
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.